## r-cran-decor 1.0.0

=== DESCRIPTION ===
Package: decor
Title: Retrieve Code Decorations
Version: 1.0.0
Authors@R: 
    c(person(given = "Romain",
             family = "François",
             role = "aut",
             email = "romain@rstudio.com"),
      person(given = "Jim",
             family = "Hester",
             role = c("aut", "cre"),
             email = "jim.hester@rstudio.com"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Retrieves code comment decorations for C++
    languages of the form '\\ [[xyz]]', which are used for automated
    wrapping of C++ functions.
License: MIT + file LICENSE
Depends: R (>= 3.3.0)
Imports: tibble, utils, vctrs
Suggests: covr, testthat
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.0.9000
URL: https://github.com/r-lib/decor
BugReports: https://github.com/r-lib/decor/issues
NeedsCompilation: yes
Packaged: 2020-06-26 19:22:27 UTC; jhester
Author: Romain François [aut],
  Jim Hester [aut, cre],
  RStudio [cph, fnd]
Maintainer: Jim Hester <jim.hester@rstudio.com>
Repository: CRAN
Date/Publication: 2020-06-30 08:40:03 UTC

=== debian/changelog ===
r-cran-decor (1.0.0-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 15:47:05 +0200

r-cran-decor (1.0.0-1) unstable; urgency=medium

  * Initial release (closes: #969871)

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 12:49:05 +0200

=== debian/control ===
Source: r-cran-decor
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-tibble,
               r-cran-vctrs
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-decor
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-decor.git
Homepage: https://cran.r-project.org/package=decor
Rules-Requires-Root: no

Package: r-cran-decor
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R retrieve code decorations
 Retrieves code comment decorations for C++
 languages of the form '\\ [[xyz]]', which are used for automated
 wrapping of C++ functions.

## r-cran-decor 1.0.1

=== DESCRIPTION ===
Package: decor
Title: Retrieve Code Decorations
Version: 1.0.1
Authors@R: 
    c(person(given = "Romain",
             family = "François",
             role = c("aut", "cre"),
             email = "romain@rstudio.com"),
      person(given = "Jim",
             family = "Hester",
             role = "aut"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Retrieves code comment decorations for C++
    languages of the form '\\ [[xyz]]', which are used for automated
    wrapping of C++ functions.
License: MIT + file LICENSE
Depends: R (>= 3.3.0)
Imports: tibble, utils, vctrs
Suggests: covr, testthat
Encoding: UTF-8
RoxygenNote: 7.1.0.9000
URL: https://github.com/r-lib/decor
BugReports: https://github.com/r-lib/decor/issues
NeedsCompilation: yes
Packaged: 2021-11-29 16:24:35 UTC; jhester
Author: Romain François [aut, cre],
  Jim Hester [aut],
  RStudio [cph, fnd]
Maintainer: Romain François <romain@rstudio.com>
Repository: CRAN
Date/Publication: 2021-11-30 08:00:02 UTC

=== debian/changelog ===
r-cran-decor (1.0.1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.0.1
  * d/copyright: s/MIT/Expat/
  * d/control: Run cme

 -- Nilesh Patra <nilesh@debian.org>  Mon, 06 Dec 2021 01:43:55 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-tibble,
                r-cran-vctrs
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-decor
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-decor.git
 Homepage: https://cran.r-project.org/package=decor

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/decor_([-\d.]*)\.tar\.gz

## r-cran-decor 1.0.2

=== DESCRIPTION ===
Package: decor
Title: Retrieve Code Decorations
Version: 1.0.2
Authors@R: 
    c(
      person("Davis", "Vaughan", email = "davis@posit.co", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-4777-038X")),
      person("Romain", "François", role = "aut", comment = c(ORCID = "0000-0002-2444-4226")),
      person("Jim","Hester", role = "aut", comment = c(ORCID = "0000-0002-2739-7082")),
      person("Posit Software, PBC", role = c("cph", "fnd"))
    )
Description: Retrieves code comment decorations for C++
    languages of the form '\\ [[xyz]]', which are used for automated
    wrapping of C++ functions.
License: MIT + file LICENSE
Depends: R (>= 3.3.0)
Imports: tibble, utils, vctrs (>= 0.5.0)
Suggests: covr, testthat
Encoding: UTF-8
RoxygenNote: 7.2.3
URL: https://github.com/r-lib/decor
BugReports: https://github.com/r-lib/decor/issues
NeedsCompilation: yes
Packaged: 2023-06-30 16:10:40 UTC; romainfrancois
Author: Davis Vaughan [aut, cre] (<https://orcid.org/0000-0003-4777-038X>),
  Romain François [aut] (<https://orcid.org/0000-0002-2444-4226>),
  Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
  Posit Software, PBC [cph, fnd]
Maintainer: Davis Vaughan <davis@posit.co>
Repository: CRAN
Date/Publication: 2023-07-01 18:30:02 UTC

=== debian/changelog ===
r-cran-decor (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jul 2023 14:51:47 +0200

=== debian/control ===
Source: r-cran-decor
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-decor
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-decor.git
Homepage: https://cran.r-project.org/package=decor
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-tibble,
               r-cran-vctrs (>= 0.5.0)
Testsuite: autopkgtest-pkg-r

Package: r-cran-decor
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R retrieve code decorations
 Retrieves code comment decorations for C++
 languages of the form '\\ [[xyz]]', which are used for automated
 wrapping of C++ functions.
